.TH "orte_gpr_notify_data_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte_gpr_notify_data_t \- Return structure for notification messages A notification message contains data from each registered subscription structure.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <gpr_types.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_object_t\fP \fBsuper\fP"
.br
.RI "\fIMakes this an object. \fP"
.ti -1c
.RI "char * \fBtarget\fP"
.br
.RI "\fIName of the associated subscripton, if provided. \fP"
.ti -1c
.RI "orte_gpr_subscription_id_t \fBid\fP"
.br
.RI "\fINumber of the associated subscription. \fP"
.ti -1c
.RI "bool \fBremove\fP"
.br
.RI "\fIRemove this subscription from recipient's tracker. \fP"
.ti -1c
.RI "size_t \fBcnt\fP"
.br
.RI "\fINumber of value objects returned, one per container. \fP"
.ti -1c
.RI "\fBorte_pointer_array_t\fP * \fBvalues\fP"
.br
.RI "\fIArray of value objects returned. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Return structure for notification messages A notification message contains data from each registered subscription structure. 

Each block of data is associated with a specified callback function and contains data from a single segment, one or more containers with one or more keyvals/container. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
